Skip to main content
`Ctrl`+`K`

# VecMedian

Computes the componentwise median of three vectors and stores the result in this vector. Used primarily for projecting a vector within upper and lower bounds.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecMedian(Vec Vec1, Vec Vec2, Vec Vec3, Vec VMedian)

Logically Collective

## Input Parameters

- Vec1 - The first vector

- Vec2 - The second vector

- Vec3 - The third vector

## Output Parameter

- VMedian - The median vector (this can be any one of the input vectors)

## See Also

`Vec`

## Level

advanced

## Location

src/vec/vec/utils/projection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages